#ifndef LINE_H
#define LINE_H

#include "Shape.h"

namespace Salamander
{

/*
** Unbounded Simple polygons, tested using line normals. Points are stored in a clockwise direction.
*/

class Line : public Shape
{
public:
	registerShape();
	Line();
	virtual ~Line();

	void setDepth(double depth);
	double getDepth();

	virtual double momentOfInertia();
	virtual bool isPointInside(Vec2 point);

private:

	// special line stuff
	double depth_;

};

}

#endif	// LINE_H

